Package com.sap.ai.sdk.prompt.registry.model

# Class FilteringModuleConfig

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.FilteringModuleConfig

public class FilteringModuleConfig extends Object
FilteringModuleConfig

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FilteringModuleConfig()`
  Default constructor for FilteringModuleConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FilteringModuleConfig`
  `create()`
  Create a new `FilteringModuleConfig` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `FilteringModuleConfig`.
  `InputFilteringConfig`
  `getInput()`
  List of provider type and filters
  `OutputFilteringConfig`
  `getOutput()`
  List of provider type and filters
  `int`
  `hashCode()`
  `FilteringModuleConfig`
  `input(InputFilteringConfig input)`
  Set the input of this `FilteringModuleConfig` instance and return the same instance.
  `FilteringModuleConfig`
  `output(OutputFilteringConfig output)`
  Set the output of this `FilteringModuleConfig` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `FilteringModuleConfig` instance.
  `void`
  `setInput(InputFilteringConfig input)`
  Set the input of this `FilteringModuleConfig` instance.
  `void`
  `setOutput(OutputFilteringConfig output)`
  Set the output of this `FilteringModuleConfig` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `FilteringModuleConfig` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FilteringModuleConfig

    protected FilteringModuleConfig()
    Default constructor for FilteringModuleConfig.

- ## Method Details

  - ### input

    @Nonnull public FilteringModuleConfig input(@Nullable InputFilteringConfig input)
    Set the input of this `FilteringModuleConfig` instance and return the same instance.
    Parameters:
      `input` - List of provider type and filters
    Returns:
      The same instance of this `FilteringModuleConfig` class

  - ### getInput

    @Nonnull public InputFilteringConfig getInput()
    List of provider type and filters
    Returns:
      input The input of this `FilteringModuleConfig` instance.

  - ### setInput

    public void setInput(@Nullable InputFilteringConfig input)
    Set the input of this `FilteringModuleConfig` instance.
    Parameters:
      `input` - List of provider type and filters

  - ### output

    @Nonnull public FilteringModuleConfig output(@Nullable OutputFilteringConfig output)
    Set the output of this `FilteringModuleConfig` instance and return the same instance.
    Parameters:
      `output` - List of provider type and filters
    Returns:
      The same instance of this `FilteringModuleConfig` class

  - ### getOutput

    @Nonnull public OutputFilteringConfig getOutput()
    List of provider type and filters
    Returns:
      output The output of this `FilteringModuleConfig` instance.

  - ### setOutput

    public void setOutput(@Nullable OutputFilteringConfig output)
    Set the output of this `FilteringModuleConfig` instance.
    Parameters:
      `output` - List of provider type and filters

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `FilteringModuleConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `FilteringModuleConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `FilteringModuleConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `FilteringModuleConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static FilteringModuleConfig create()
    Create a new `FilteringModuleConfig` instance. No arguments are required.